import request from '@/utils/holmesRequest'
// 获取环境模版列表
export function getEnvTemplateList(queryInfo) {
  return request({
    url: '/env/template/list',
    method: 'get',
    params: queryInfo
  })
}
// 获取所有服务
export function getAllEnvRepo(queryInfo) {
  return request({
    url: '/k8s/repo/getAll',
    method: 'get',
    params: queryInfo
  })
}
// 添加环境模版
export function addEnvTemplate(data) {
  return request({
    url: '/env/template/create',
    method: 'post',
    data
  })
}
// 编辑环境模版
export function editEnvTemplate(data) {
  return request({
    url: '/env/template/modify',
    method: 'post',
    data
  })
}
// 删除环境模版
export function delEnvTemplate(data) {
  return request({
    url: '/env/template/delete',
    method: 'post',
    data
  })
}
// 删除环境模版
export function addEnv(data) {
  return request({
    url: '/k8s/namespace/create',
    method: 'post',
    data
  })
}
